<template>
  <div class="container">
    <div>
      <span>Hello world!</span>
      <div>
        {{ $config.test }}
      </div>
      <div>
        {{ $config.env1 }}
      </div>
      <div>
        {{ $config.apiKey }}
      </div>
      <div>
        <button @click="$fetch">Load data</button>
      </div>
      <div v-for="post in this.posts">
       {{ post }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data: () => ({
    posts: []
  }),
  mounted() {
    this.$fetch()
  },
  async fetch() {
    const result = await fetch('https://randommer.io/api/Phone/Countries', { 
      headers: {
        "X-API-KEY": process.env.apiKey // this.$root.$config.apiKey 
      }
    }).then(res => res.json())
    // console.log(result)
    this.posts = []
    this.posts = result.slice(0, 3).map(country => country.name)
  },
  fetchOnServer: true,
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
</style>
